eina_alloca.h File Reference

Check if GCC's alloca() is available. More...

## Functions

void * | alloca (size_t size)
| Allocates memory in the stack frame of the caller, so that it is automatically freed when the caller returns.

## Detailed Description

Check if GCC's alloca() is available.

If it is available via a different spelling, define alloca to that spelling.

## Function Documentation

## alloca()

void * alloca | ( | size_t | size | ) |

Allocates memory in the stack frame of the caller, so that it is automatically freed when the caller returns.

Parameters

  [in] | size | Number of bytes of space to allocate.

Returns
  Pointer to beginning of the allocated space.

See also
  alloca(3) for more details.

Referenced by ecore_drm2_fb_dirty(), ecore_drm_fb_dirty(), ecore_x_e_window_available_profiles_set(), ecore_x_e_window_profile_list_set(), ecore_x_icccm_protocol_atoms_set(), edje_language_set(), edje_object_preload(), eet_clearcache(), eet_identity_certificate_print(), eet_shutdown(), efreet_desktop_string_list_parse(), efreet_icon_deprecated_user_dir_get(), efreet_icon_user_dir_get(), efreet_menu_dump(), efreet_mime_globs_type_get(), efreet_util_path_to_file_id(), eina_benchmark_run(), eina_file_close_from(), eina_file_current_directory_get(), eina_file_dir_list(), eina_inarray_reverse(), eina_module_find(), eina_prefix_new(), eina_simple_xml_attribute_w3c_parse(), eina_simple_xml_attributes_parse(), elm_quicklaunch_exe_path_get(), elm_quicklaunch_fork(), elm_quicklaunch_prepare(), and evas_object_image_save().